#!/bin/bash

tmp=$(mktemp)

echo "#!/usr/bin/gnuplot -persist" > $tmp
echo "set xtics (\"1\" 0, \"2\" 1,\"4\" 2, \"8\" 3, \"16\" 4, \"32\" 5, \"64\" 6, \"128\" 7)" >> $tmp
echo "set xlabel \"Threads\"" >> $tmp
echo "set ylabel \"Trial\"" >> $tmp
echo "set zlabel \"Result\"" >> $tmp

declare -i count=0

while (( "$#" ))
do
  file=$1

  if [ $count == 0 ]; then
      echo -n "splot " >> $tmp
  else
      echo -n ", " >> $tmp
  fi

  echo -n "\"$file\" matrix ti \"$(basename $file)\" with lines" >> $tmp

  count=1
  shift
done

chmod u+x $tmp

$tmp

rm $tmp