#~/bin/bash

dir=$1
count=$2
file="hackbench"
command="hackbench"
sequence="1 2 4 8 16 32 64 128"

if [ "$3" == "-rt" ]; then
   file+="-rt"
   command="chrt -f 10 $command"
fi

for i in $(seq 1 $count);
do
	data=""
	for j in $sequence;
	do
	        cmd="$command $j"
		echo $cmd
		data+="$($cmd | sed 's/Time: //')  "
	done

	echo $data >> $dir/$(uname -r)-$file	
done